declare @uid as varchar(500)
declare @reporte as  varchar(500)
declare @reportecodigo as varchar(500)
declare @guifuncionalidad as varchar(500)
declare @detallescontrato as varchar(500)
declare @reportecategoria as varchar(500)
declare @categoria as varchar(500)
declare @origendato as varchar(500)
declare @opcionreporte as varchar(500)
declare @idreporte as varchar(500)
set @uid =(select uid from seg_usuario where id=1)
set @reporte= 'Equipos en Elquiler'
set @reportecodigo ='equ/equiposAlquiler'
set @detallescontrato='rep_equipoalquiler'
set @reportecategoria='equ_equipo'
set @origendato ='rep_equipoalquiler'
set @opcionreporte='Equipos en Alquiler'
set @categoria=(SELECT id  FROM [rep_categoria]where  id=(SELECT id_categoria FROM [rep_reporte_categoria]where id_reporte=(select id from rep_reporte where reporte_codigo='equ/HojaVidaEquipo')))

declare @guipadre as int
set @guipadre= (select top 1 id from gui_funcionalidad where active=1 and id_tipofuncionalidad=7 and funcionalidad='alquiler')

if not exists(
select * from gui_funcionalidad where id_funcionalidad=@guipadre and id_tipoFuncionalidad =7 and active=1 and nombreComando='equiposalquiler'
)
begin
insert into [gui_funcionalidad]            ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Equipos En Alquiler','','','','','','',0,'','equiposalquiler',1,@guipadre,7)

end


set @guifuncionalidad=(select top 1 id  from gui_funcionalidad where id_funcionalidad=@guipadre and id_tipoFuncionalidad =7 and active=1 and nombreComando='equiposalquiler')

if not exists (select * from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )
begin
insert into rep_reporte (uid, eid, reporte, reporte_codigo,id_funcionalidad, esformato, tienegraficos) 
values (@uid,'01',@reporte,@reportecodigo,@guifuncionalidad,0,0)
end 
set @idreporte=(select id from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )

if not exists(select * from rep_reporte_categoria where  uid=@uid  and reporte_categoria=@reportecategoria and id_reporte=@idreporte and id_categoria=@categoria)
begin 
insert into rep_reporte_categoria (uid,eid,reporte_categoria,id_reporte,id_categoria) 
values (@uid,'01',@reportecategoria ,@idreporte,@categoria)
end

if not exists(select*from rep_origenDato where origenDato=@origendato)
begin 
insert into rep_origenDato (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,origenDato,origenDato_codigo,id_reporte)
 Values (@uid,'01',0,0,getdate(),getDate(),1,@origendato,'',@idreporte)
end


if not exists(select *from rep_opcionReporte where opcionreporte=@opcionreporte )
begin 
insert into rep_opcionReporte(uid,eid,opcionreporte,opcionreporte_codigo,id_reporte,defecto)
 values (@uid,'01',@opcionreporte,'EALQ',@idreporte,1)
end


if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='fechacompromiso_ff' and id_reporte=@idreporte and id_tipoCampoReporte=3 and tabla='equ_alquiler' )
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','fechacompromiso_ff',@idreporte,3,'equ_alquiler','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='tercero' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='ter_tercero')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','tercero',@idreporte,4,'ter_tercero','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='sucursal' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='ter_sucursal')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','sucursal',@idreporte,4,'ter_sucursal','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='zona' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='gen_zona')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','zona',@idreporte,4,'gen_zona','',1,0,'',1)
end


if not exists(select*from rep_origenDato where origenDato=@origendato and id_reporte=@idreporte)
begin 
insert into rep_origenDato (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,origenDato,origenDato_codigo,id_reporte)
 Values (@uid,'01',0,0,getdate(),getDate(),1,@origendato,'',@idreporte)
end